wiki:phpgwapi/atualizar20

Version 27 (modified by niltonneto, 11 years ago) (diff)

--

Como atualizar seu Expresso para a versão 2.0


Ao baixar o pacote da nova versão do Expresso, sua atualização é semelhante às outras atualizações (veja esta página?) com algumas particularidades descritas a seguir:

Atenção:Procure simular essa atualização em um ambiente de homologação.

Este procedimento irá interromper o serviço temporariamente. Proceda em horários sem utilização

Atualização do header.inc.php

Logo após descompactar o pacote e copiar o conteúdo de seu header.inc.php para a nova versão acesse seu localhost, deve aparecer uma tela como abaixo: Atualização tela 1

Entre com o usuário expresso-admin e sua senha, o procedimento irá obriga-lo a recriar seu header.inc.php. clique em "Escrever Configurações" como na tela abaixo ou salve e copie manualmente:

Tela de atualização 2

Atualização dos módulos pelo setup

Após feito isso você deve entrar em /setup novamente e se logar como expresso-admin. Uma tela como esta abaixo irá aparecer:

Tela de atualização 3

Após clicar em atualizar, a última opção de atualização dos módulos deve estar como na imagem abaixo:

Tela de atualização 4

Atualização das frases novas

Além de todas as modificações estéticas e de segurança, é importante atualizar o idioma pois existem frases novas.

Atualização de frases no banco

Configuração de novos Templates e Temas

Ao voltar a tela de login do Expresso você deve se deparar com uma tela como a abaixo:

Tela de atualização 5

Nesta atualização do código do Expresso para versão 2.0 será preciso trocar o template padrão. O novo template terá o nome de 'default' enquanto o antigo passará a se chamar 'classic' e será descontinuado. Por esta razão o template 'celepar' não existe mais, e precisa ser trocado por 'default'. Para fazer esta troca vá em "Minhas Preferências", "Altere suas preferências", "Preferências Obrigatórias" e mude "Seleção de Interface/Modelo?" para 'default'.

Tela de atualização 6

Tela de atualização 7

Ao salvar esta preferência deve aparecer novas opções de temas: Tela de atualização 8

Se você optar por utilizar o tema azul seu expresso ficará assim: Tela de atualização 9

Configuração das Preferências padrões do Expresso Mail

Na versão 2.0, o módulo Expresso Mail teve sua página de preferências modificada, para seguir o mesmo modelo dos demais módulos do Expresso. Esse modelo define três tipos de preferências: obrigatórias, padrões e do usuário. IMPORTANTE: É recomendável definir pelo menos as preferências padrões do Expresso Mail, para evitar problemas ao carregar o módulo, conforme a imagem abaixo: Preferencias padrões do ExpressoMail

Configurações de Segurança

Atualizar a phpgwapi do Expresso, irá adicionar uma coluna "Browser" nos logs de acesso. Esta informação tem como objetivo auxiliar a identificação de usuário com id de sessão diferentes do que se logou. Porém esta funcionalidade só estará disponível se o administrador autalizar o header.inc.php, de acordo com o header.inc.php.template. Para testar esta funcionalidade basta instalar a extensão do Firefox "UserAgent? Switcher". Depois de instalado, entre como um usuário qualquer e troque o 'useragent'. Você será impedido de usar o expresso enquanto não voltar ao 'useragent' antigo. Se isto não acontecer, esta adição de segurança não está funcionando como deveria (reveja header.inc.php).

Mudar para

session.use_cookies = 0
session.auto_start = 0

no arquivo /etc/php5/apache2/php.ini Após edição do arquivo reinicie o servidor apache:

sudo /etc/init.d/apache2 restart

Também limpe os dados pessoais do navegador, cookies e sessões. Se logue novamente como expresso-admin e digite a seguinte URL na barra de navegação:

javascript:alert(document.cookie);

Se a janela de alerta não mostra o identificador da sessão como na figura de exemplo, a sua instalação do Expresso estará mais segura.

Menos seguro:

Tela de atualização 10

Mais seguro:

Tela de atualização 11

Attachments